import { Observable } from 'rxjs';
import { ColorStringFormat } from './color-picker.types';
import * as i0 from "@angular/core";
export declare class MccColorPickerCollectionService {
    private emptyColor;
    /**
     * Hold current selected color
     */
    private _selectedColor;
    /**
     * Show alpha selector
     */
    alpha: boolean;
    /**
     * Color string format
     */
    format: ColorStringFormat;
    constructor(emptyColor: string);
    /**
     * Change internal selected color
     */
    changeSelectedColor(colorString: string): void;
    /**
     * Return internal selected color
     */
    getSelectedColor(): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MccColorPickerCollectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MccColorPickerCollectionService>;
}
