import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class MccColorPickerService {
    private emptyColor;
    private usedColors;
    /**
     * Array of all used colors
     */
    private _usedColors;
    constructor(emptyColor: string, usedColors: string[]);
    /**
     * Add new color to used colors
     */
    addColor(colorString: string): void;
    /**
     * Return Observable of colors
     */
    getUsedColors(): Observable<string[]>;
    /**
     * Reset the array of used colors
     */
    resetUsedColors(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MccColorPickerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MccColorPickerService>;
}
