import { ModuleWithProviders } from '@angular/core';
import { ColorPickerConfig } from './color-picker.types';
import * as i0 from "@angular/core";
import * as i1 from "./color-picker.component";
import * as i2 from "./color-picker-connected.directive";
import * as i3 from "./color-picker-selector.component";
import * as i4 from "./color-picker-origin.directive";
import * as i5 from "./color-picker-option.component";
import * as i6 from "./color-picker-collection.component";
import * as i7 from "@angular/common";
import * as i8 from "@angular/cdk/portal";
import * as i9 from "@angular/cdk/overlay";
import * as i10 from "@angular/forms";
import * as i11 from "@angular/material/button";
import * as i12 from "@angular/material/form-field";
import * as i13 from "@angular/material/input";
import * as i14 from "@angular/material/icon";
export declare class MccColorPickerModule {
    /**
     *
     */
    static forRoot(config: ColorPickerConfig): ModuleWithProviders<MccColorPickerModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MccColorPickerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MccColorPickerModule, [typeof i1.MccColorPickerComponent, typeof i2.MccConnectedColorPickerDirective, typeof i3.MccColorPickerSelectorComponent, typeof i4.MccColorPickerOriginDirective, typeof i5.MccColorPickerOptionComponent, typeof i6.MccColorPickerCollectionComponent], [typeof i7.CommonModule, typeof i8.PortalModule, typeof i9.OverlayModule, typeof i10.ReactiveFormsModule, typeof i11.MatButtonModule, typeof i12.MatFormFieldModule, typeof i13.MatInputModule, typeof i14.MatIconModule], [typeof i1.MccColorPickerComponent, typeof i2.MccConnectedColorPickerDirective, typeof i4.MccColorPickerOriginDirective, typeof i6.MccColorPickerCollectionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MccColorPickerModule>;
}
